// circlvw.h : interface of the CGraphicView class
//
/////////////////////////////////////////////////////////////////////////////

class CGraphicView : public CView
{
protected: // create from serialization only
	CGraphicView();
	DECLARE_DYNCREATE(CGraphicView)

// Attributes
public:
	CCircleDoc* GetDocument();

// Operations
public:

// Implementation
public:
	virtual ~CGraphicView();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Printing support
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Generated message map functions
protected:
	//{{AFX_MSG(CGraphicView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG	// debug version in circlvw.cpp
inline CCircleDoc* CGraphicView::GetDocument()
   { return (CCircleDoc*) m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
